> For the complete documentation index, see [llms.txt](https://docs.pixiebrix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pixiebrix.com/developer-api/package-management-apis.md).

# Package Management APIs

For a complete list of package management API endpoints, see [OpenAPI Specification](/developer-api/openapi-specification.md)

### List Team Packages

Use the GET `/api/organizations/:organizationId/bricks/` endpoint to list all packages visible to your team.

### List Package Version History

Use the GET `/api/bricks/:id/versions/` endpoint to list versions of a package (mod, brick, integration definition, etc.).

Notes:

* `:id` refers to the surrogate UUID for the package, not the registry id. You can locate the UUID via the endpoint to [#list-team-packages](#list-team-packages "mention")
* The response does NOT include the package config, use [#get-package-config](#get-package-config "mention") to fetch that

### Get Package Config

Use the GET `/api/registry/bricks/:registryId/` endpoint to get a package and its config.

The endpoint will return the latest version of the package. To get a specific version, use the `version=<x.y.z>` query param. Use [#list-package-version-history](#list-package-version-history "mention") to see all versions of a given package.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pixiebrix.com/developer-api/package-management-apis.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
